<template>
  <ui-select
    v-model="selected"
    label="Categories (multiple and with icon)"
    hints="select one or multiple categories"
    multiple
  >
    <template #icon>
      <tag-icon />
    </template>
    <option value="automotive">Automotive</option>
    <option value="electronics">Electronics</option>
    <option value="home-appliances">Home Appliances</option>
    <option value="kitchen">Kitchen</option>
    <option value="pet-supplies">Pet Supplies</option>
  </ui-select>
</template>

<script lang="ts" setup>
import { ref } from 'vue'
import { TagIcon } from '@heroicons/vue/20/solid'

const selected = ref([])
</script>
